
    .home-page {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: 100%;
}


.image-section {
  margin-top: 50px;
  position: relative;
  width: 100%;
  height: 50vh; 
  overflow: hidden;
}

.image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(70%);
}

.text-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
}

.text-box {
  background-color: rgba(243, 156, 18, 0.8); 
  color: white; 
  padding: 20px;
  margin-left: 5%;
  max-width: 50%;
  min-width: 40%; 
  border-radius: 8px; 
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); 
  text-align: center;
}

.text-box h1 {
  margin: 0 0 10px 0;
  font-size: 2.5em;
}

.text-box p {
  margin: 0;
  font-size: 1.2em;
}

.about-gallery-flex {
  display: flex;
  gap: 20px;
  margin-bottom: 25px;
}

.about-section {
    flex: 3;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.gallery-section {
  flex: 5;
}

.custom-carousel {
  position: relative;
  max-width: 100%;
  max-height: 100%;
  margin: auto;
  overflow: hidden;
  border-radius: 8px;
}

.carousel-slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
  height: 100%;
}

.slide {
  min-width: 100%;
  box-sizing: border-box;
}

.slide img {
  width: 100%;
  height: 70vh;
  object-fit: cover;
}

.carousel-indicators {
  position: absolute;
  bottom: 15px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: center;
  gap: 10px;
}

.dot {
  height: 20px;
  width: 20px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
  cursor: pointer;
}

.dot.active {
  background-color: #717171;
}

section {
  background-color: #f9f9f9;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

section h2, h2 {
  color: #007bff;
  font-size: 2em;
  margin-bottom: 10px;
  text-align: center;
}

section p {
  font-size: 1.1em;
  line-height: 1.6;
}


.testimonials-info-flex {
    display: flex;
    gap: 20px;
    margin-top: 20px;
    width: 100%;
    margin-bottom: 25px;
}

.testimonials {
    flex: 4;
}

.additional-info {
    flex: 6;
}

.testimonials, .additional-info {
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease, transform 0.3s ease;
    text-align: center;
}

.testimonial {
    background-color: #fff;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    margin-bottom: 15px;
    transition: background-color 0.3s ease, transform 0.3s ease;
    font-style: italic;
    text-align: center;
}

.testimonial:hover {
    transform: translateY(-5px);
}

.testimonials h2, .additional-info h2, .about-section h2, .achievements-section h2, .league-info-section h2, .dynamic-achievements h2 {
  color: #2c3e50;
    font-size: 1.8em;
    margin-bottom: 15px;
}

.testimonials .testimonial {
    margin-bottom: 15px;
    font-style: italic;
}

.testimonials .quote {
    margin: 0;
}

.testimonials .name {
    margin-top: 10px;
    font-weight: bold;
}

.additional-info ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.additional-info a:hover {
  text-decoration: underline;
}
.additional-info li {
    margin-top: 5px;
    margin-bottom: 20px;
}

.more-info-link {
    display: inline-block;
    color: #007BFF;
    text-decoration: underline;
    font-weight: bold;
}

.more-info-link:hover {
  text-decoration: underline;
}


.social-media-container {
    display: flex;
    justify-content:center;
    gap: 30px;
    margin-top: 50px;
}

.social-media-icon {
    width: 50px;
    height: 50px;
    background-size: cover;
    transition: transform 0.3s ease-in-out;
}

.social-media-icon:hover {
    transform: scale(1.1);
}


.text {
    margin-top:10px; 
    margin-bottom:10px; 
    font-weight: bold;
    text-align: center;
}

.about-section ul {
    list-style-type: none;
    padding: 0;
}

.about-section ul li {
    margin-bottom: 10px;
    text-align: left;
    font-size: 1.1em;
    text-align: center;
}

.about-section ul li::before {
    content: '•';
    color: #007BFF;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
    
}

.about-section p {
  text-align: center;
}


.achievements-video-container {
    display: flex;
    flex-direction: row;
    gap: 20px;
    width: 100%;
}
.dynamic-achievements {
    background-color: #f9f9f9;
    padding: 30px;
    border-radius: 10px;
    max-width: 1000px;
    text-align: center;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.dynamic-achievements h2 {
  color: #2c3e50;
}

.achievements-container {
    display: flex;
    justify-content: center; 
    align-items: center; 
    flex-wrap: wrap;
    gap: 10px;
    height: 50%; 
}



.achievement-box {
    flex: 1;
    max-width: 100%; 
    max-height: 60vh;
    background-color: #fff;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    font-size: 1.1em;
    color: #333;
    display: flex;
    flex-direction: column;
    transition: transform 0.3s ease, opacity 0.3s ease;
    opacity: 0;
    transform: translateY(100%);
}

.achievement-box.active {
    opacity: 1;
    transform: translateY(0);
}

.achievement-box:hover, .dynamic-achievements:hover, .league-info-section:hover, .additional-info:hover, .about-section:hover, .testimonials:hover {
  transform: scale(1.02);
}

.achievement-title {
    font-size: 1.2em;
    margin-bottom: 10px;
    color: #2c3e50;
}

.achievement-info {
    font-size: 1em;
    color: crimson;
}


.league-info-section {
    flex: 1;
    background-color: #f9f9f9;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.league-info-section ul {
    list-style-type: none;
    padding: 0;
}

.league-info-section ul li {
    background-color: #fff;
    padding: 10px;
    margin-top: 20px;
    margin-bottom: 30px;
    border-radius: 8px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    text-align: center;

}

.league-info-section ul li strong {
    color: crimson;
    font-weight: bold;
}

.league-info-section p {
  text-align: center;
}

@media screen and (max-width: 900px){
  .about-gallery-flex, .achievements-video-container, .testimonials-info-flex {
    flex-direction: column; 
    gap: 15px;
  }

  .about-section {
    flex: 1; 
    margin-bottom: 20px; 
  }

  .carousel-slides {
    width: 100%;
    height: auto;
  }

  .gallery-section {
    flex: 1; 
  }

  .slide img {
    height: 50vh; 
  }

  .carousel-indicators {
    bottom: 10px; 
  }

  .dot {
    height: 25px; 
    width: 25px;
  }

   .testimonials {
    flex: 1;
  }

  .additional-info {
    flex: 1;
}

.dynamic-achievements {
  flex: 1;
}

.league-info-section {
  flex: 1;
}


.text-box h1 {
  font-size: 1.5em;
}

}

@media (max-width: 480px) {

  .about-gallery-flex, .achievements-video-container, .testimonials-info-flex {
    flex-direction: column; 
    gap: 15px;
  }

  .text-box h1 {
  font-size: 1.5em;
}

  .slide img {
    height: 200px;
  }

  .carousel-indicators {
    bottom: 5px; 
  }

  .dot {
    height: 8px;
    width: 8px;
  }

  .testimonials {
    flex: 1;
  }

  .additional-info {
    flex: 1;
}

.dynamic-achievements {
  flex: 1;
}

.league-info-section {
  flex: 1;
}

.achievement-box {
  max-height: 75vh;
  justify-content: center;
}

}
